Eclipse Platform Release 3.7

## org.apache.felix.scr
Interface Reference

    public interface Reference

The `Reference` interface represents a single reference (or dependency) to a service used by a Component.

Method Summary
`String` `getBindMethodName()` Returns the name of the method called if a service is being bound to the Component or `null` if no such method is configured.
`String` `getName()` Returns the name of this Reference.
`String` `getServiceName()` Returns the name of the service used by this Reference.
`ServiceReference[]` `getServiceReferences()` Returns an array of references to the services bound to this Reference or `null` if no services are currently bound.
`String` `getTarget()` Returns the value of the target property of this reference.
`String` `getUnbindMethodName()` Returns the name of the method called if a service is being unbound from the Component or `null` if no such method is configured.
`String` `getUpdatedMethodName()` Returns the name of the method called if a bound service updates its service registration properties or `null` if no such method is configured.
`boolean` `isMultiple()` Returns whether this reference is multiple.
`boolean` `isOptional()` Returns whether this reference is optional.
`boolean` `isSatisfied()` Returns whether this reference is satisfied.
`boolean` `isStatic()` Returns `true` if the reference is defined with static policy.

Method Detail

### getName

    String getName()

  Returns the name of this Reference. This method provides access to the `name` attribute of the `reference` element.

### getServiceName

    String getServiceName()

  Returns the name of the service used by this Reference. This method provides access to the `interface` attribute of the `reference` element.

### getServiceReferences

    ServiceReference[] getServiceReferences()

  Returns an array of references to the services bound to this Reference or `null` if no services are currently bound.

### isSatisfied

    boolean isSatisfied()

  Returns whether this reference is satisfied. A `optional` component is always satisfied. Otherwise `true` is only returned if at least one service is bound.

### isOptional

    boolean isOptional()

  Returns whether this reference is optional. This method provides access to the lower bound of the `cardinality` attribute of the `reference` element. In other words, this method returns `true` if the cardinality is 0..1 or 0..n.

### isMultiple

    boolean isMultiple()

  Returns whether this reference is multiple. This method provides access to the upper bound of the `cardinality` attribute of the `reference` element. In other words, this method returns `true` if the cardinality is 0..n or 1..n.

### isStatic

    boolean isStatic()

  Returns `true` if the reference is defined with static policy. This method provides access to the `policy` element of the `reference` element. `true` is returned if the policy is defined as static.

### getTarget

    String getTarget()

  Returns the value of the target property of this reference. Initially (without overwriting configuration) this method provides access to the `target` attribute of the `reference` element. If configuration overwrites the target property, this method returns the value of the Component property whose name is derived from the `reference name` plus the suffix .target. If no target property exists this method returns `null`.

### getBindMethodName

    String getBindMethodName()

  Returns the name of the method called if a service is being bound to the Component or `null` if no such method is configured. This method provides access to the `bind` attribute of the `reference` element.

### getUnbindMethodName

    String getUnbindMethodName()

  Returns the name of the method called if a service is being unbound from the Component or `null` if no such method is configured. This method provides access to the `unbind` attribute of the `reference` element.

### getUpdatedMethodName

    String getUpdatedMethodName()

  Returns the name of the method called if a bound service updates its service registration properties or `null` if no such method is configured. This method provides access to the `updated` attribute of the `reference` element.

  For a component declared in a Declarative Services 1.0 and 1.1 descriptor, this method always returns `null`.

  Since:
    1.4

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.